Bug 68233 - Valgrind errors in mesa
Summary: Valgrind errors in mesa
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 9.2
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 65654
  Show dependency treegraph
 
Reported: 2013-08-17 22:36 UTC by Casey Dahlin
Modified: 2013-11-22 22:41 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Casey Dahlin 2013-08-17 22:36:53 UTC
I'm using Fedora 19's build of Mesa 9.2, with libdrm rebuilt against valgrind to suppress ioctl-related valgrind errors.

I still get the following 3 valgrind errors from within mesa.

==7875== Conditional jump or move depends on uninitialised value(s)
==7875==    at 0x4A0B131: bcmp (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==7875==    by 0x642138F: brw_vs_prog_data_compare (brw_vs.c:232)
==7875==    by 0x63F9BDD: brw_upload_cache (brw_state_cache.c:218)
==7875==    by 0x6420E68: do_vs_prog (brw_vs.c:347)
==7875==    by 0x642175F: brw_vs_precompile (brw_vs.c:580)
==7875==    by 0x63F900F: brw_link_shader (brw_shader.cpp:72)
==7875==    by 0x68AF1F1: _mesa_glsl_link_shader (ir_to_mesa.cpp:3214)
==7875==    by 0x6771C12: link_program (shaderapi.c:784)
==7875==    by 0x4C1EC59: shader_create (shader.c:105)
==7875==    by 0x40208B: main (demo.c:434)
==7875== 
==7875== Conditional jump or move depends on uninitialised value(s)
==7875==    at 0x63F9BE0: brw_upload_cache (brw_state_cache.c:218)
==7875==    by 0x6420E68: do_vs_prog (brw_vs.c:347)
==7875==    by 0x642175F: brw_vs_precompile (brw_vs.c:580)
==7875==    by 0x63F900F: brw_link_shader (brw_shader.cpp:72)
==7875==    by 0x68AF1F1: _mesa_glsl_link_shader (ir_to_mesa.cpp:3214)
==7875==    by 0x6771C12: link_program (shaderapi.c:784)
==7875==    by 0x4C1EC59: shader_create (shader.c:105)
==7875==    by 0x40208B: main (demo.c:434)
==7875== 
==7875== Conditional jump or move depends on uninitialised value(s)
==7875==    at 0x63F9A8B: brw_search_cache (brw_state_cache.c:159)
==7875==    by 0x63AC6B4: brw_blorp_clear_params::get_wm_prog(brw_context*, brw_blorp_prog_data**) const (brw_blorp_clear.cpp:173)
==7875==    by 0x642B68C: gen7_blorp_exec(intel_context*, brw_blorp_params const*) (gen7_blorp.cpp:846)
==7875==    by 0x63A8164: brw_blorp_exec(intel_context*, brw_blorp_params const*) (brw_blorp.cpp:178)
==7875==    by 0x63AC7DA: brw_blorp_clear_color (brw_blorp_clear.cpp:298)
==7875==    by 0x63ADBC2: brw_clear (brw_clear.c:237)
==7875==    by 0x4C27762: draw_proc_run (draw_proc.c:184)
==7875==    by 0x4C277D0: draw_proc_run (draw_proc.c:182)
==7875==    by 0x4C277D0: draw_proc_run (draw_proc.c:182)
==7875==    by 0x402F6E: render (demo.c:256)
==7875==    by 0x4ECBE13: ??? (in /usr/lib64/libglut.so.3.9.0)
==7875==    by 0x4ECF678: fgEnumWindows (in /usr/lib64/libglut.so.3.9.0)
Comment 1 Kenneth Graunke 2013-09-17 06:00:58 UTC
Amusingly, I just fixed this without having seen your bug report.  The patch is on the mesa-dev mailing list, and is titled:

"i965: Fix brw_vs_prog_data_compare to actually check field members."
Comment 2 Eric Anholt 2013-11-22 22:41:10 UTC
commit 4e4b0799165ae7b482da7d9af656ed8878500de1
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Mon Sep 16 22:39:37 2013 -0700

    i965: Fix brw_vs_prog_data_compare to actually check field members.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.